<div class="getcardstep">
    <h3 class="steptitle row"
        :class="$root.rtl ? 'rtl' : ''"
        v-html="$parent.steps.step2.title[$root.lang]"
    ></h3>
    <div class="stephint row first_stephint"
         :class="$root.rtl ? 'rtl' : ''"
    >
        <div class="formstep-imagelink" >
            <img src="/open.png" alt="">
            {{ $parent.steps.step2.hint[$root.lang] }}
        </div>

    </div>



    <div class="formstep row formstep-step formstep-step2">
        <div class="formstep-group"
             v-for="field in $parent.steps.step2.fields"
             :class="$parent.inputs[field].valid + ' ' + $parent.inputs[field].name "
        >
            <div class="row hints-row"
                 v-if="$parent.inputs[field].textHint || $parent.inputs[field].imgHint"
            >
                <div class="formstep-texthint"
                     v-if="$parent.inputs[field].textHint[$parent.convertLangToForm()]"
                    v-html="$parent.inputs[field].textHint[$parent.convertLangToForm()]"
                ></div>
                <div class="formstep-imagelink"
                     v-if="$parent.inputs[field].imgHint && !$parent.inputs[field].openImage"
                    v-on:click="$parent.inputs[field].openImage = !$parent.inputs[field].openImage"
                >
                    <img src="@assets/img/open.png" alt="">
                    {{ $parent.showimage[$root.lang] }}.
                </div>

                <div class="formstep-imagelink"
                     v-if="$parent.inputs[field].imgHint && $parent.inputs[field].openImage"
                     v-on:click="$parent.inputs[field].openImage = !$parent.inputs[field].openImage"
                >
                    <img src="@assets/img/close.png" alt="">
                    {{ $parent.closeimage[$root.lang] }}.
                </div>
            </div>

            <div class="formstep-field" v-if="$parent.inputs[field].type==='text'">
                <input class="formstep-input"
                       v-model.trim='$parent.inputs[field].value'
                       :id="$parent.inputs[field].name"
                       :disabled="$parent.inputs[field].disable"
                       v-on:blur="$parent.validTextField($parent.inputs[field].name)"
                       v-on:focus="$parent.inputs[field].valid = ''"
                       :class="($parent.inputs[field].name === 'IdentityNo') && ($root.rtl ? 'IdentityNo-ar' : '')"
                       @keydown="$parent.inputs[field].name === 'IdentityNo'? $parent.handleIdentityNo($event): ''"
                       v-mask="( $parent.inputs[field].regexp) ? { regex: $parent.inputs[field].regexp} : ''"
                />

                <label class="formstep-label"
                       v-if="$parent.inputs[field].label" :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
            <div class="formstep-field"
                 v-else-if="$parent.inputs[field].type==='date'"
            >
                <flat-pickr v-model="$parent.inputs[field].value"
                            :name="$parent.inputs[field].name"
                            v-mask="{regex: $parent.inputs[field].regexp}"
                            :id="$parent.inputs[field].name"
                            class="status-input"
                            :class="$root.rtl ? 'date-ar' : ''"
                            :style="($parent.inputs[field].valid === '') ? 'opacity: 0' : 'opacity: 1'"
                            :ref="$parent.inputs[field].name"
                            
                ></flat-pickr>
                <label  class="formstep-label formstep-date_field-label"
                        v-if="$parent.inputs[field].label" 
                        :for="$parent.inputs[field].name"
                        :class="$parent.inputs[field].value != '' ? 'active' : ''"
                        v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>

                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
            <div class="formstep-field" v-else-if="$parent.inputs[field].type==='select'">
                <v-select :options="$parent.inputs[field].options"
                          :reduce="adminarea => adminarea.id"
                          label="nameRu"
                          :searchable=false class="formstep-select" :clearable="false" v-model="$parent.inputs[field].value"
                ></v-select>
                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
            <div class="formstep-imagehint"
                 v-if="$parent.inputs[field].imgHint && $parent.inputs[field].openImage">
                <img :src="$parent.inputs[field].imgHint" alt="">
            </div>
        </div>
        <div class="formstep-group">
            <label class="addimg">
                <div class="addimg-button button">
                    <img src="@assets/img/add-icon-copy-2.png" alt="">
                    {{$parent.addFile[$root.lang]}}
                </div>
                <p class="addimg-texthint">{{$parent.addFileHint[$root.lang]}}</p>

                <input
                    class="addimg-input"
                    name="photo"
                    type="file"
                    ref="fileInput"
                    accept="image/png, image/jpeg, .pdf"
                    v-on:change="fileChange()"
                >

            </label>
            <div class="addimg-preview"
                 v-if="$parent.image != ''"
            >
                <p class="addimg-preview-title">{{$parent.addedFile[$root.lang]}}</p>
                <div class="addimg-preview-image_wrapper">
                    <img :src="$parent.image" />
                    <span class="remove_file"
                          v-on:click="removeFile()"
                    >
                           <span>x</span>
                        </span>
                </div>
                <div class="addimg-file_info"
                     :class="$root.rtl ? 'rtl' : ''">
                    <p class="addimg-file_info-name">{{$parent.formattedFileName}}</p>
                    <p class="addimg-file_info-size"
                       :class="$root.rtl ? 'rtl' : ''">
                        {{$parent.fileSize}}
                        mb
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="row buttons">
        <div class="button transparency buttons-back"
             v-on:click="$parent.goToPrevStep('#getcard')"
        >
            {{$parent.prev[$root.lang]}}
        </div>
        <div v-if="!$parent.steps.step2.valid"
             class="button buttons-next disabled"
        >
            {{$parent.next[$root.lang]}}    
        </div>
        <div v-else id="next2" class="button buttons-next" v-on:click="$parent.goToNextStep('#getcard')">{{$parent.next[$root.lang]}}</div>
    </div>
</div>
